Bug 120904 - SELinux policy needs to account for XFree86 => Xorg namechange
SELinux policy needs to account for XFree86 => Xorg namechange
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: 120871
  Show dependency treegraph
 
Reported: 2004-04-14 23:12 EDT by Tom von Schwerdtner
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-14 23:29:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom von Schwerdtner 2004-04-14 23:12:35 EDT
Currently, X will not start due to lack of permissions on
/var/log/Xorg.* and /dev/mem.  

Changing occourances of XFree86 to Xorg in
/etc/security/selinux/src/policy/file_contexts/program/xserver.fc and
rebuild/relable fixes things.
Comment 1 Daniel Walsh 2004-04-14 23:29:19 EDT
Fixed in latest policy 1.11.2-5
Comment 2 Mike A. Harris 2004-04-14 23:56:53 EDT
Haven't looked at changes, but might be a good idea to keep
XFree86 policy as well, in case someone has XFree86 kicking around,
or is using older xorg-x11 packaging for whatever reason.  Just
a suggestion, I'm indifferent though since it's fixed for current
Xorg.  ;o)
Comment 3 Aleksey Nogin 2004-04-15 02:57:10 EDT
Probably took me over an hour to figure out what was wrong and why X
would not start :-(
Comment 4 Daniel Walsh 2004-04-15 07:22:38 EDT
XFree86 is still in the policy.

Note You need to log in before you can comment on or make changes to this bug.